/*! anamo/bootstrap-for-market-website v0.0.0 | © 2006-present Panagiotis Tsimpoglou. All rights reserved | bitbucket.org/anamo/bootstrap-for-market-website */

import $ from 'jquery'
import debounce from '../helpers/debounce'
import throttle from '../helpers/throttle'
import Cookies from 'js-cookie'

$(window).

	on('resize', debounce(e => {
		$('#main-nav-sticky-disclosure:not(.override)').prop('checked', 60 < $('.main-nav').height())
		$('#main-nav-disclosure').prop('checked', false)
	}, 99))

$(document).

	on('scroll', throttle(e => {
		if (0 === $('.main-nav').length) return

		$('.main-nav').toggleClass('stuck', $('.main-nav')[0].getBoundingClientRect().top - parseInt($('.main-nav').css('top')) <= 1)

		let bounds = document.querySelector('.main-nav').getBoundingClientRect()
		$('.main-nav-tray').css({
			top: bounds.top + 'px'
			//height: 'calc(100% - ' + (bounds.top + bounds.height) + 'px)'
		})

		$('.main-nav-tray--container').css({
			height: 'calc(100% - ' + bounds.top + 'px)'
		})

	}, 99)).

	on('scroll', e => {
		$('#main-nav-disclosure').prop('checked', false)
	}).

	on('click', '.main-nav--pin', () => {
		$('#main-nav-sticky-disclosure').addClass('override')
		Cookies.set('main-pin-disclosure', $('#main-nav-sticky-disclosure').prop('checked'), {
			expires: 7
		})
	})
